QoreStandardException Class Reference

abstract base class for c++ Exceptions in the Qore library More...

`#include <QoreStandardException.h>`

Inheritance diagram for QoreStandardException:
[legend]
Collaboration diagram for QoreStandardException:
[legend]

## Public Member Functions

DLLEXPORT | QoreStandardException (const char *err, const char *desc_fmt,...)
| creates the exception object with error and description strings
DLLEXPORT | QoreStandardException (QoreStandardException &&)=default
| Default move constructor.
DLLEXPORT | QoreStandardException (QoreStringNode *err, QoreStringNode *desc)
| creates the exception object with error and description strings; this function takes ownership of the string references
virtual DLLEXPORT | ~QoreStandardException ()
| Destroys the object.
virtual void | convert (ExceptionSink *xsink)
| Raises the corresponding Qore exception in the ExceptionSink. More...
DLLEXPORT QoreStandardException & | operator= (QoreStandardException &&)=default
| Default assignment operator.
Public Member Functions inherited from AbstractException
virtual DLLEXPORT | ~AbstractException ()=default
| Default virtual destructor.

## Additional Inherited Members

Protected Member Functions inherited from AbstractException
DLLEXPORT | AbstractException ()=default
| Default constructor.

## Detailed Description

abstract base class for c++ Exceptions in the Qore library

## Member Function Documentation

## convert()

virtual void QoreStandardException::convert | ( | ExceptionSink * | xsink | ) |

virtual

Raises the corresponding Qore exception in the ExceptionSink.

Parameters

  xsink | the exception sink

Implements AbstractException.

The documentation for this class was generated from the following file:

- include/qore/QoreStandardException.h